//index.js
var app = getApp();
var utils = require('../../utils/util.js');
Page({
  data: {
    imgUrls: [
    ],
    indicatorDots: true,
    autoplay: true,
    interval: 2000,
    duration: 1000,
    page:1,
    dataList: [
    ],
    hidden: true,
    listId:0
  },
  onLoad: function (options) {
    var that = this, source = '';
    if (options.source) {
      that.setData({source: options.source})
    }
    app.login(that);
    wx.request({
      url: app.globalData.HOST + '/user/product/homeact',
      method: 'POST',
      data: {version: 2, platform: app.globalData.platform},
      success: function (res) {
        if (res.data.errno == '0'){
          that.setData({ imgUrls: res.data.rst.homeact});
        }
      }
    });
    utils.initList(that);
  },
  onShow () {
    wx.stopPullDownRefresh();
    wx.hideNavigationBarLoading();
  },
  onHide () {
    wx.stopPullDownRefresh()
    wx.hideNavigationBarLoading();
  },
  onPullDownRefresh: function () {
    //下拉
      var that = this, obj = { amount: 0, is_hot: 1, is_new: 0, search: 0, term: 0, user_title: "不限" };
      utils.initList(that, obj, 'top', ++that.data.page);
  },
  onReachBottom: function () {
    //上拉
    var that = this, obj = { amount: 0, is_hot: 1, is_new: 0, search: 0, term: 0, user_title: "不限" };
    utils.initList(that, obj, 'bottom', ++that.data.page);
  },
  onShareAppMessage: function () {
    return {
      title: app.globalData.title,
      imageUrl: app.globalData.img,
      path: '/pages/index/index',
      success: function(res) {
        app.noticeModal('分享成功')
      },
      fail: function(res) {
        app.noticeModal('您取消了分享')
      }
    }
  }
})
